XSDOMObject
Keywords: uk.ac.ic.doc.automed.xmlschema.xsdomobject.XSDOMObject class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.xmlschema.xsdomobject
Class XSDOMObject

    java.lang.Object
      uk.ac.ic.doc.automed.xmlschema.xsdomobject.XSDOMObject

All Implemented Interfaces:
  java.awt.datatransfer.Transferable, java.io.Serializable, XSDOMObj

Direct Known Subclasses:
  Attribute, ComplexType, Element

    public class XSDOMObject

extends java.lang.Object
implements XSDOMObj, java.awt.datatransfer.Transferable, java.io.Serializable

Author:
  Andrew Smith The base class for all XSDOM objects
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `icon` The icon for this object in the Schema Editor
`protected java.lang.String` | `keyref` Any keyref there might be
`protected boolean` | `maxOccurs`
`protected int` | `minOccurs` The minOccurs and maxOccurs value for this object.
`protected java.lang.String` | `name` Object name
`protected javax.swing.tree.TreePath` | `p`
`static java.awt.datatransfer.DataFlavor` | `TREE_PATH_FLAVOR`
`protected java.lang.String` | `type` The type of the object.

Constructor Summary
`XSDOMObject()` Creates a new instance of XSDOMObject

Method Summary
`java.lang.String` | `getIcon()`
`java.lang.String` | `getKeyRef()`
`boolean` | `getMaxOccurs()`
`int` | `getMinOccurs()`
`java.lang.String` | `getName()` Get the name of this object
`java.lang.Object` | `getTransferData(java.awt.datatransfer.DataFlavor flavor)`
`java.awt.datatransfer.DataFlavor[]` | `getTransferDataFlavors()`
`java.lang.String` | `getType()` Get the type of this object
`boolean` | `isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)`
`void` | `setIcon(java.lang.String i)`
`void` | `setKeyRef(java.lang.String k)`
`void` | `setMaxOccurs(boolean i)`
`void` | `setMinOccurs(int i)`
`void` | `setName(java.lang.String name)` Set the name for this object
`void` | `setPath(javax.swing.tree.TreePath p)`
`void` | `setType(java.lang.String type)` Set the type for this object
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  Object name

### type

    protected java.lang.String type

  The type of the object. All objects must have a type

### icon

    protected java.lang.String icon

  The icon for this object in the Schema Editor

### minOccurs

    protected int minOccurs

  The minOccurs and maxOccurs value for this object. Defaults to unbounded

### maxOccurs

    protected boolean maxOccurs

### keyref

    protected java.lang.String keyref

  Any keyref there might be

### p

    protected javax.swing.tree.TreePath p

### TREE_PATH_FLAVOR

    public static java.awt.datatransfer.DataFlavor TREE_PATH_FLAVOR

Constructor Detail

### XSDOMObject

    public XSDOMObject()

  Creates a new instance of XSDOMObject

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name for this object

  Specified by:
    `setName` in interface `XSDOMObj`

### setType

    public void setType(java.lang.String type)

  Set the type for this object

  Specified by:
    `setType` in interface `XSDOMObj`

### getName

    public java.lang.String getName()

  Get the name of this object

  Specified by:
    `getName` in interface `XSDOMObj`

### getType

    public java.lang.String getType()

  Get the type of this object

  Specified by:
    `getType` in interface `XSDOMObj`

### setPath

    public void setPath(javax.swing.tree.TreePath p)

### getIcon

    public java.lang.String getIcon()

### setIcon

    public void setIcon(java.lang.String i)

### getMinOccurs

    public int getMinOccurs()

  Specified by:
    `getMinOccurs` in interface `XSDOMObj`

### getMaxOccurs

    public boolean getMaxOccurs()

  Specified by:
    `getMaxOccurs` in interface `XSDOMObj`

### setKeyRef

    public void setKeyRef(java.lang.String k)

  Specified by:
    `setKeyRef` in interface `XSDOMObj`

### setMinOccurs

    public void setMinOccurs(int i)

  Specified by:
    `setMinOccurs` in interface `XSDOMObj`

### setMaxOccurs

    public void setMaxOccurs(boolean i)

  Specified by:
    `setMaxOccurs` in interface `XSDOMObj`

### getKeyRef

    public java.lang.String getKeyRef()

  Specified by:
    `getKeyRef` in interface `XSDOMObj`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getTransferDataFlavors

    public java.awt.datatransfer.DataFlavor[] getTransferDataFlavors()

  Specified by:
    `getTransferDataFlavors` in interface `java.awt.datatransfer.Transferable`

### isDataFlavorSupported

    public boolean isDataFlavorSupported(java.awt.datatransfer.DataFlavor flavor)

  Specified by:
    `isDataFlavorSupported` in interface `java.awt.datatransfer.Transferable`

### getTransferData

    public java.lang.Object getTransferData(java.awt.datatransfer.DataFlavor flavor)
                                     throws java.awt.datatransfer.UnsupportedFlavorException,
                                            java.io.IOException

  Specified by:
    `getTransferData` in interface `java.awt.datatransfer.Transferable`
  Throws:
    `java.awt.datatransfer.UnsupportedFlavorException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD